using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.FO
{
    [Description("附件表")]
    public class T_FO_FIRE_JOB_WB_DETAIL_FILE : MesEntityBase
    {
        [Description("作业前中后")]
        [DataFieldForeignKey("Nav_Detail", "Nav_DetailFiles")]
        public Guid FIRE_JOB_WB_DETAIL_ID { get; set; }

        [Description("导航属性：作业前中后")]
        public virtual T_FO_FIRE_JOB_WB_DETAIL Nav_Detail { get; set; }

        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
